package service

import (
	"XT_New/models"
	"github.com/jinzhu/gorm"
)

func GetAllPatientChargeDetails(org_id int64, start_time int64, end_time int64) (patients []*models.ChargePatient, err error) {
	err = readDb.Model(&models.ChargePatient{}).Select("id,user_org_id,name,lapseto,status").Preload("HisChargeOrder", func(db *gorm.DB) *gorm.DB {
		return db.Select("id,user_org_id,his_patient_id,settle_accounts_date,status,number,order_status,mdtrt_id,patient_id").Where("status = 1  AND settle_accounts_date >= ? AND settle_accounts_date <= ?", start_time, end_time).
			Preload("HisChargeOrderInfo", func(db *gorm.DB) *gorm.DB {
				return db.Select("id,order_number,advice_id,det_item_fee_sumamt,cnt,pric,med_chrgitm_type,status,chld_medc_flag,chrgitm_lv,user_org_id,project_id,type").Preload("HisChargeDoctorAdviceInfo", "status = 1").Preload("HisChargePrescriptionProject", func(db *gorm.DB) *gorm.DB {
					return db.Preload("HisProject", "status = 1").Preload("GoodInfo", "status = 1").Where("status = 1 ")
				}).Where("status = 1 ")
			})
	}).Where("user_org_id = ? AND status = 1", org_id).Find(&patients).Error
	return
}

//func GetAllPatientChargeDetails(org_id int64,start_time int64, end_time int64)(patients []*models.ChargePatient,err error){
//	err = readDb.Model(&models.ChargePatient{}).Select("id,user_org_id,name,lapseto,status").Preload("HisChargeOrder", func(db *gorm.DB) *gorm.DB {
//		return db.Select("id,user_org_id,his_patient_id,settle_accounts_date,status,number,order_status,mdtrt_id,patient_id").Where("status = 1  AND settle_accounts_date >= ? AND settle_accounts_date <= ?", start_time,end_time).
//			Preload("HisChargeOrderInfo",  func(db *gorm.DB) *gorm.DB {
//				return db.Select("id,order_number,advice_id,det_item_fee_sumamt,cnt,pric,med_chrgitm_type,status,chld_medc_flag,chrgitm_lv,user_org_id,project_id,type").Preload("HisChargeDoctorAdviceInfo","status = 1").Preload("HisChargePrescriptionProject",  func(db *gorm.DB) *gorm.DB {
//					return db.Preload("HisProject","status = 1").Preload("GoodInfo","status = 1").Where("status = 1 ")
//				}).Where("status = 1 ")
//			})
//	}).Where("user_org_id = ? AND status = 1",org_id).Find(&patients).Error
//	return
//}
